Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160782 - autofs multimount entries don't work
Summary: autofs multimount entries don't work
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-17 09:15 UTC by Derrien
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-16 00:36:54 UTC


Attachments (Terms of Use)
Tests run with stock autofs-4.1.4-5 (deleted)
2005-08-29 17:44 UTC, dijuremo
no flags Details
Tests run with suggested rawhide package autofs-4.1.4-9 (deleted)
2005-08-29 17:46 UTC, dijuremo
no flags Details
Debug log with rpm from FC3 which works correctly (deleted)
2005-08-29 17:47 UTC, dijuremo
no flags Details

Description Derrien 2005-06-17 09:15:06 UTC
Description of problem:

The test in function is_multimount_entry from the patch
autofs-4.1.4-non-replicated-ping.patch is wrong so multimount paths don't work.

With
/net/usr/share -ro,hard local-1,local-2:/export/site/d01/local/share

in the log we have : 
automount[3422]: mount(nfs): host local-1,local-2: lookup failure

Version-Release number of selected component (if applicable):



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

I think you have to replace 

return !strchr(what, ',') && (strchr(what, ':') == strrchr(what, ':'));

by

return strchr(what, ',') || (strchr(what, ':') != strrchr(what, ':'));

Comment 1 Jeff Moyer 2005-06-17 14:13:40 UTC
Yes, I caught this one too late for the FC 4 release.  I've got it fixed in CVS,
I'll queue a build.

Thanks.

Comment 2 Jeff Moyer 2005-06-17 15:58:57 UTC
Can you try autofs-4.1.4-9 from rawhide?

Thanks.

Comment 3 Derrien 2005-06-20 15:02:50 UTC
It's OK.
Thanks.

Comment 4 Steven Lawrance 2005-06-30 01:12:21 UTC
autofs-4.1.4-9 does not work for me :-(. I have to change /dev/fd0's filesystem
type in /etc/fstab to vfat to make it work.

Comment 5 dijuremo 2005-08-29 12:28:29 UTC
Not sure if this should go here (multimount entries?), but I do mount home
directories from ldap using wildcards.  My current setup works well with FC3 and
RHEL4.  However it is broken in FC4 in both the stock autofs-4.1.4-5 or the
autofs-4.1.4-9 package from rawhide.  I took the latest release of autofs for
FC3  (autofs-4.1.3-114.i386.rpm) and installed it in my FC4 machine and autofs
works fine with the wildcards from ldap.

If you need any kind of information to help troubleshoot the problem, I will be
glad to provide logs, config files, etc.

Diego

Comment 6 Jeff Moyer 2005-08-29 16:38:09 UTC
Please visit:
  http://people.redhat.com/jmoyer

And provide all of the information requested under the "Filing bug reports"
section.  That will help me diagnose the problem.

Thanks!

Comment 7 dijuremo 2005-08-29 17:44:48 UTC
Created attachment 118216 [details]
Tests run with stock autofs-4.1.4-5

Comment 8 Jeff Moyer 2005-08-29 17:46:07 UTC
We already know there are problems with 4.1.4-5.  I'd be more interested in
information gathered while running 4.1.4-9.

Thanks!

Comment 9 dijuremo 2005-08-29 17:46:27 UTC
Created attachment 118217 [details]
Tests run with suggested rawhide package autofs-4.1.4-9

Comment 10 dijuremo 2005-08-29 17:47:40 UTC
Created attachment 118218 [details]
Debug log with rpm from FC3 which works correctly

Comment 11 Jeff Moyer 2005-08-29 17:48:47 UTC
Setting back to assigned.

Comment 12 Jeff Moyer 2006-04-17 19:21:05 UTC
Ian updated the package to more closely match the upstream implementation. 
Could you try again with the latest version?

Comment 13 Ian Kent 2006-06-16 00:36:54 UTC
Closed due to no feedback from reporter.


Note You need to log in before you can comment on or make changes to this bug.